Developer API

快速接入

使用你的 API 密钥调用生图接口并查询任务状态。

Authentication
Use either header format
Authorization: Bearer sk-xxxxxxxxxxxxxxxxx-api-key: sk-xxxxxxxxxxxxxxxx
Rate Limits
Default values
API Key60s / 30
IP60s / 90
Errors
Common response codes
400 invalid params
401 invalid api key
403 api key disabled
402 insufficient credits
429 too many requests
接口地址
POST https://sellshot.ai/api/v1/images/generateGET https://sellshot.ai/api/v1/tasks/{taskId}
生成示例
curl -X POST "https://sellshot.ai/api/v1/images/generate" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-xxxxxxxxxxxxxxxx" \
  -d '{
    "scene":"text-to-image",
    "prompt":"Create a premium ecommerce product image on a pure white background.",
    "quality":"advanced",
    "resolution":"1K",
    "aspectRatio":"1:1",
    "outputCount":1
  }'
查询示例
curl "https://sellshot.ai/api/v1/tasks/task_xxx" \
  -H "Authorization: Bearer sk-xxxxxxxxxxxxxxxx"
Developer API